elasticsearch安装过程中的license问题解决办法

1、git clone git://github.com/mobz/elasticsearch-head.git

2、cd elasticsearch-head

3、npm install 出现下来问题:

npm WARN elasticsearch-head@0.0.0 license should be a valid SPDX license expression

4、首先我们了解下spdx license是个什么东东。官网:

https://spdx.org/licenses/

原来,这个家伙就是开源软件或者其他合作类软件的一个使用声明,虽然不是商业软件,但是使用起来还是要有点注意事项,奔着吃水不忘挖井人的原则吧,具体声明内容,可以参照『License Text』里的内容

5、既然知道spdx是个啥,就不难解决问题了;让我打开正确的姿势:打开elasticsearch-head目录下的package.json文件,找到license位置,修改为上面这个网站上存在Identifier,就可以了。如图所示,把原来的Apache内容修改为Apache-2.0。具体修改后的内容参考官网上的Identifier数值(防止后续更新,授之于渔了)。

 

posted @ 2016-12-27 10:21 脚本小娃子 阅读(...) 评论(...) 编辑 收藏